Bug 462483 - encrypted root: fsck on problems/more intelligent recovery
encrypted root: fsck on problems/more intelligent recovery
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cryptsetup-luks (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 12:45 EDT by Need Real Name
Modified: 2009-11-30 11:35 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-30 11:35:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-09-16 12:45:21 EDT
Four times now, I have had to manually rescue the root filesystem since Fedora could not boot.

To do this I booted from a USB stick, and typed a few commands.

A normal user will not be able to create a USB stick with cryptsetup on, and neither will they know what commands to type to rescue their unbootable laptop.

Please can you fsck the drive if there is an error switching root.
Comment 1 Need Real Name 2008-09-16 12:48:00 EDT
Latest error:

Command failed: cannot access device

then another password prompt (this time with cleartext text entry)
Comment 2 Need Real Name 2008-09-16 13:00:23 EDT
Just to be clear, this is *after* switching to new root, and after udev starts.
The hostname gets set, then "Command failed: can not access device".

Judging by the ctrl+alt+del shutdown messages, the filesystem is read only.
Comment 3 John Poelstra 2008-09-19 14:59:26 EDT
What is the specific bug you are reporting and want fixed?

Are you suggesting an RFE for cryptsetup? If so can you be more specific about what you believe should exist and happen.

Thanks,
John
Comment 4 Need Real Name 2008-09-19 15:40:13 EDT
I would like cryptsetup to be more stable.

If the disk wasn't encrypted, a problematic disk would be fscked.
This doesn't seem to happen with an encrypted disk, it would be nice if it did.

That's my RFE: fsck on problems/more intelligent recovery.

I then realised that my problem is different. I can't boot the machine now. It falls over (comment 2). With a usb disk I can mount the encrypted drive, with Fedora not.

So cryptsetup has probably done something wrong, or a kernel upgrade has gone wrong.

A chroot and some bind mounts with a kernel re-install do not fix it.
Comment 5 Need Real Name 2008-09-20 10:22:39 EDT
Latest error:
sda2 is password protected

So initrd is messed up somehow.
Comment 6 Need Real Name 2008-09-20 10:41:03 EDT
I have the feeling initrd doesn't use labels/uuids.

Okay this time I tried a kernel reinstall with yum --installroot rather than a chroot with some bind mounts.

No luck.

I see
"Setting up disk encryption: /dev/sda2"
then later:
"FATAL: Could not load .. modules.dep:"

Disk encryption works on my Ubuntu Hardy with no problems.
Comment 7 Need Real Name 2008-09-27 18:53:17 EDT
This time the problem was crypttab did not match the name in the initrd.
Comment 8 Need Real Name 2008-10-05 06:20:00 EDT
New bug 465660: cryptsetup should use and support uuids and labels.
Comment 9 Bug Zapper 2008-11-25 22:06:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-11-18 02:54:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Till Maas 2009-11-30 11:35:44 EST
This bug report does not really specify a new feature and making cryptsetup more stable is too generic. Therefore I close it. If you want a certain issue be fixed, e.g. recovery in a certain situation, please open a bug with a detailed description how to create this situation, what is happining and what you want to happen, i.e. use the default template for new bugs.

Note You need to log in before you can comment on or make changes to this bug.